unit Size;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Buttons;

type
  TSizeDialog = class(TForm)
    GroupBox1: TGroupBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Edit1: TEdit;
    UpDown1: TUpDown;
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SizeDialog: TSizeDialog;

implementation

uses Main;

{$R *.DFM}

procedure TSizeDialog.BitBtn2Click(Sender: TObject);
begin
  Close;
end;

procedure TSizeDialog.BitBtn1Click(Sender: TObject);
begin
  with MainForm.Matrix do begin
    ColCount:=UpDown1.Position+1;
    RowCount:=UpDown1.Position+1;
  end;
  MainForm.NameCells;
  Close;
end;

procedure TSizeDialog.FormShow(Sender: TObject);
begin
  MainForm.Enabled:=False;
end;

procedure TSizeDialog.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  MainForm.Enabled:=True;
end;

procedure TSizeDialog.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  Edit1.Text:=IntToStr(UpDown1.Position)+'X'+IntToStr(UpDown1.Position);
end;

end.
