unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, StdCtrls, ComCtrls, Buttons;

type
  TMainForm = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    Matrix: TStringGrid;
    procedure BitBtn2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
  public
    procedure NameCells;
  end;

var
  MainForm: TMainForm;

implementation

uses Size;

{$R *.DFM}

procedure TMainForm.NameCells;
  var i: Integer;
begin
  with Matrix do begin
    for i:=0 to ColCount-2 do
      Cells[i+1, 0]:=IntToStr(i+1);
    for i:=0 to RowCount-2 do
      Cells[0, i+1]:=IntToStr(i+1);
  end;
end;

procedure TMainForm.BitBtn2Click(Sender: TObject);
begin
  SizeDialog.Show;
end;

procedure TMainForm.FormCreate(Sender: TObject);
begin
  NameCells;
end;

procedure TMainForm.BitBtn1Click(Sender: TObject);
  var i, j, Sum: Integer;
      S: String;
begin
  Sum:=0;

  for j:=1 to Matrix.RowCount-1 do
    for i:=1 to Matrix.RowCount-j do
      Sum:=Sum+StrToInt(Matrix.Cells[i, j]);

  MessageDlg(': '+IntToStr(Sum), mtInformation, [mbOk], 0);
end;

end.
